Package be.vlaanderen.mercurius.mohm.common.v7

# Class ApplicationViewWheelchairAdviceReportType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewWheelchairAdviceReportType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationViewWheelchairAdviceReportType extends Object implements Serializable
Generiek type voor RAR in het beeld van een aanvraag.

Java class for ApplicationViewWheelchairAdviceReportType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewWheelchairAdviceReportType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApprovalNumberType" minOccurs="0"/>
             <element name="RequestedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="CreatedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ReceivedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="HasHomeVisit" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationViewWheelchairAdviceReportType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApprovalNumber()`
  Erkenningsnummer van het Rolstoel Adviesteam.
  `Instant`
  `getCreatedDate()`
  Datum van aanmaak van het rapport door het Rolstoel AdviesTeam.
  `Instant`
  `getReceivedDate()`
  Datum van ontvangst van het rapport van het RAT door de verstrekker.
  `Instant`
  `getRequestedDate()`
  Datum waarop de indicatiestelling door het Rolstoel AdviesTeam werd aangevraagd.
  `Boolean`
  `isHasHomeVisit()`
  Ja/neen veld om aan te geven of er een huisbezoek heeft plaatsgevonden.
  `void`
  `setApprovalNumber(String value)`
  Sets the value of the approvalNumber property.
  `void`
  `setCreatedDate(Instant value)`
  Sets the value of the createdDate property.
  `void`
  `setHasHomeVisit(Boolean value)`
  Sets the value of the hasHomeVisit property.
  `void`
  `setReceivedDate(Instant value)`
  Sets the value of the receivedDate property.
  `void`
  `setRequestedDate(Instant value)`
  Sets the value of the requestedDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationViewWheelchairAdviceReportType

    public ApplicationViewWheelchairAdviceReportType()

- ## Method Details

  - ### getApprovalNumber

    public String getApprovalNumber()
    Erkenningsnummer van het Rolstoel Adviesteam.
    Returns:
      possible object is `String`

  - ### setApprovalNumber

    public void setApprovalNumber(String value)
    Sets the value of the approvalNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getApprovalNumber()`

  - ### getRequestedDate

    public Instant getRequestedDate()
    Datum waarop de indicatiestelling door het Rolstoel AdviesTeam werd aangevraagd.
    Returns:
      possible object is `String`

  - ### setRequestedDate

    public void setRequestedDate(Instant value)
    Sets the value of the requestedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRequestedDate()`

  - ### getCreatedDate

    public Instant getCreatedDate()
    Datum van aanmaak van het rapport door het Rolstoel AdviesTeam.
    Returns:
      possible object is `String`

  - ### setCreatedDate

    public void setCreatedDate(Instant value)
    Sets the value of the createdDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedDate()`

  - ### getReceivedDate

    public Instant getReceivedDate()
    Datum van ontvangst van het rapport van het RAT door de verstrekker.
    Returns:
      possible object is `String`

  - ### setReceivedDate

    public void setReceivedDate(Instant value)
    Sets the value of the receivedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReceivedDate()`

  - ### isHasHomeVisit

    public Boolean isHasHomeVisit()
    Ja/neen veld om aan te geven of er een huisbezoek heeft plaatsgevonden.
    Returns:
      possible object is `Boolean`

  - ### setHasHomeVisit

    public void setHasHomeVisit(Boolean value)
    Sets the value of the hasHomeVisit property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isHasHomeVisit()`